Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class SeamTest

    java.lang.Object
      org.jboss.seam.mock.BaseSeamTest
          org.jboss.seam.mock.SeamTest

Direct Known Subclasses:
  DBUnitSeamTest

    public class SeamTest

extends BaseSeamTest

Provides BaseSeamTest functionality for TestNG integration tests.

Author:
  Gavin King, Thomas Heute, Mike Youngstrom

Nested Class Summary
`class` | `SeamTest.FacesRequest` A pass through to BaseSeamTest.FacesRequest.
`class` | `SeamTest.NonFacesRequest` A pass through to BaseSeamTest.NonFacesRequest.
`class` | `SeamTest.Request` A pass through to BaseSeamTest.Request.
`class` | `SeamTest.Script` Deprecated. Use BaseSeamTest.FacesRequest or BaseSeamTest.NonFacesRequest instead

Nested classes/interfaces inherited from class org.jboss.seam.mock.BaseSeamTest
`BaseSeamTest.ComponentTest`

Constructor Summary
`SeamTest()`

Method Summary
`void` | `begin()`
`void` | `cleanup()`
`void` | `end()`
`void` | `init()`

Methods inherited from class org.jboss.seam.mock.BaseSeamTest
`cleanupClass, createSeamFilter, getELResolvers, getField, getInitialContext, getInstance, getInstance, getSession, getUserTransaction, initServletContext, installMockTransport, isLongRunningConversation, isSessionInvalid, lookup, setField, setupClass, startJbossEmbeddedIfNecessary, startSeam, stopSeam`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamTest

    public SeamTest()

Method Detail

### begin

    public void begin()

  Overrides:
    `begin` in class `BaseSeamTest`

### end

    public void end()

  Overrides:
    `end` in class `BaseSeamTest`

### init

    public void init()
              throws Exception

  Overrides:
    `init` in class `BaseSeamTest`
  Throws:
    `Exception`

### cleanup

    public void cleanup()
                 throws Exception

  Overrides:
    `cleanup` in class `BaseSeamTest`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD